import { Q as i, a as t, B as a, bl as l } from "./App-f49e4ede.mjs";
import "@emotion/react";
import "react";
import "react-dom";
import "@emotion/styled";
import "@feedloop/formula-editor";
import "@feedloop/expression-parser";
import "crypto-js";
import "react-mentions";
function b({
  provider: r,
  callback: e
}) {
  const o = i.useClient();
  return /* @__PURE__ */ t("a", {
    href: `${o.project.axios.defaults.baseURL}/v1/login/${r.provider_name}?callback=${e}`,
    children: /* @__PURE__ */ t(a, {
      colorScheme: "blue",
      leftIcon: /* @__PURE__ */ t(l, {}),
      width: "full",
      children: "Azure"
    })
  });
}
export {
  b as default
};
